View Issue Details

IDProjectCategoryView StatusLast Update
0005796Kali Linux[All Projects] General Bugpublic2019-11-20 18:53
Reportertsepol Assigned Torhertzog  
PriorityurgentSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019.3 
Target VersionFixed in Version2019.4 
Summary0005796: Applications menu crashes
DescriptionHi Guys,

Can you kindly assist, applications menu crashes everytime, mostly after installing new package/updates, it crashes and cannot see anything wrong on the logs, not sure if it's a gnome error, running gnome 34.1, but worked well until i did dist-upgrade, it's been about 5 months. Thanks
sorry don't have logs as it does not log.

Regards

Activities

rhertzog

2019-11-18 13:21

administrator   ~0011319

Sure you have logs. Please have a look into "journalctl -r" and share its output after a crash. I have also experienced this issue occasionally.

tsepol

2019-11-18 13:57

reporter  

kalibug.txt (16,753 bytes)
-- Logs begin at Mon 2019-11-18 14:14:30 SAST, end at Mon 2019-11-18 14:26:08 SAST. --
Nov 18 14:26:08 m0rph3us org.gnome.Nautilus[1465]: Failed to register: Unable to acquire bus name 'org.gnome.Nautilus'
Nov 18 14:26:08 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Successfully activated service 'org.freedesktop.FileManager1'
Nov 18 14:26:08 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Successfully activated service 'org.gnome.Nautilus'
Nov 18 14:26:08 m0rph3us gnome-shell[3528]: Registering session with GDM
Nov 18 14:26:08 m0rph3us gnome-shell[3528]: GNOME Shell started at Mon Nov 18 2019 14:26:06 GMT+0200 (SAST)
Nov 18 14:26:08 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Activating service name='org.freedesktop.FileManager1' requested by ':1.104' (uid=0 pid=3528 com>
Nov 18 14:26:08 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Activating service name='org.gnome.Nautilus' requested by ':1.104' (uid=0 pid=3528 comm="/usr/bi>
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 34 with keysym 34 (keycode d).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 39 with keysym 39 (keycode 12).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 38 with keysym 38 (keycode 11).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 35 with keysym 35 (keycode e).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 32 with keysym 32 (keycode b).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 36 with keysym 36 (keycode f).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 37 with keysym 37 (keycode 10).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 31 with keysym 31 (keycode a).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 33 with keysym 33 (keycode c).
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:screen-brightness-cycle
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:hibernate
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:rfkill
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:playback-random
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:playback-repeat
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Nov 18 14:26:07 m0rph3us NetworkManager[573]: <info>  [1574079967.1809] agent-manager: req[0x5654fb30a5f0, :1.281/org.gnome.Shell.NetworkAgent/0]: agent registered
Nov 18 14:26:07 m0rph3us systemd[1447]: Reached target GNOME X11 Session (session: gnome).
Nov 18 14:26:07 m0rph3us systemd[1447]: Reached target GNOME X11 Session.
Nov 18 14:26:07 m0rph3us systemd[1447]: Reached target GNOME Shell on X11.
Nov 18 14:26:07 m0rph3us systemd[1447]: Started GNOME Shell on X11.
Nov 18 14:26:07 m0rph3us systemd[1]: Started Hostname Service.
Nov 18 14:26:07 m0rph3us dbus-daemon[571]: [system] Successfully activated service 'org.freedesktop.hostname1'
Nov 18 14:26:06 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Successfully activated service 'org.freedesktop.portal.IBus'
Nov 18 14:26:06 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Activating service name='org.freedesktop.portal.IBus' requested by ':1.109' (uid=0 pid=3580 comm>
Nov 18 14:26:06 m0rph3us ibus-daemon[3554]: GChildWatchSource: Exit status of a child process was requested but ECHILD was received by waitpid(). See the documentati>
Nov 18 14:26:06 m0rph3us gnome-shell[3528]: loading user theme: /usr/share/themes/Kali-X/gnome-shell/gnome-shell.css
Nov 18 14:26:06 m0rph3us systemd[1]: Starting Hostname Service...
Nov 18 14:26:06 m0rph3us dbus-daemon[571]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' re>
Nov 18 14:26:06 m0rph3us gnome-shell[3528]: Usage of object.actor is deprecated for EasyScreenCast.indicator
                                            get@resource:///org/gnome/shell/ui/environment.js:249:29
                                            _enable@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:557:9
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            enable@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:917:5
                                            _callExtensionEnable@resource:///org/gnome/shell/ui/extensionSystem.js:131:13
                                            loadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:263:21
                                            _loadExtensions/<@resource:///org/gnome/shell/ui/extensionSystem.js:473:13
                                            collectFromDatadirs@resource:///org/gnome/shell/misc/fileUtils.js:27:17
                                            _loadExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:452:9
lines 1-46...skipping...
-- Logs begin at Mon 2019-11-18 14:14:30 SAST, end at Mon 2019-11-18 14:26:08 SAST. --
Nov 18 14:26:08 m0rph3us org.gnome.Nautilus[1465]: Failed to register: Unable to acquire bus name 'org.gnome.Nautilus'
Nov 18 14:26:08 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Successfully activated service 'org.freedesktop.FileManager1'
Nov 18 14:26:08 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Successfully activated service 'org.gnome.Nautilus'
Nov 18 14:26:08 m0rph3us gnome-shell[3528]: Registering session with GDM
Nov 18 14:26:08 m0rph3us gnome-shell[3528]: GNOME Shell started at Mon Nov 18 2019 14:26:06 GMT+0200 (SAST)
Nov 18 14:26:08 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Activating service name='org.freedesktop.FileManager1' requested by ':1.104' (uid=0 pid=3528 comm>
Nov 18 14:26:08 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Activating service name='org.gnome.Nautilus' requested by ':1.104' (uid=0 pid=3528 comm="/usr/bin>
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 34 with keysym 34 (keycode d).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 39 with keysym 39 (keycode 12).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 38 with keysym 38 (keycode 11).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 35 with keysym 35 (keycode e).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 32 with keysym 32 (keycode b).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 36 with keysym 36 (keycode f).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 37 with keysym 37 (keycode 10).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 31 with keysym 31 (keycode a).
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Window manager warning: Overwriting existing binding of keysym 33 with keysym 33 (keycode c).
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:screen-brightness-cycle
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:hibernate
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:rfkill
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:playback-random
Nov 18 14:26:07 m0rph3us gsd-media-keys[1826]: Failed to grab accelerator for keybinding settings:playback-repeat
Nov 18 14:26:07 m0rph3us gnome-shell[3528]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Nov 18 14:26:07 m0rph3us NetworkManager[573]: <info>  [1574079967.1809] agent-manager: req[0x5654fb30a5f0, :1.281/org.gnome.Shell.NetworkAgent/0]: agent registered
Nov 18 14:26:07 m0rph3us systemd[1447]: Reached target GNOME X11 Session (session: gnome).
Nov 18 14:26:07 m0rph3us systemd[1447]: Reached target GNOME X11 Session.
Nov 18 14:26:07 m0rph3us systemd[1447]: Reached target GNOME Shell on X11.
Nov 18 14:26:07 m0rph3us systemd[1447]: Started GNOME Shell on X11.
Nov 18 14:26:07 m0rph3us systemd[1]: Started Hostname Service.
Nov 18 14:26:07 m0rph3us dbus-daemon[571]: [system] Successfully activated service 'org.freedesktop.hostname1'
Nov 18 14:26:06 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Successfully activated service 'org.freedesktop.portal.IBus'
Nov 18 14:26:06 m0rph3us dbus-daemon[1465]: [session uid=0 pid=1465] Activating service name='org.freedesktop.portal.IBus' requested by ':1.109' (uid=0 pid=3580 comm=>
Nov 18 14:26:06 m0rph3us ibus-daemon[3554]: GChildWatchSource: Exit status of a child process was requested but ECHILD was received by waitpid(). See the documentatio>
Nov 18 14:26:06 m0rph3us gnome-shell[3528]: loading user theme: /usr/share/themes/Kali-X/gnome-shell/gnome-shell.css
Nov 18 14:26:06 m0rph3us systemd[1]: Starting Hostname Service...
Nov 18 14:26:06 m0rph3us dbus-daemon[571]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' req>
Nov 18 14:26:06 m0rph3us gnome-shell[3528]: Usage of object.actor is deprecated for EasyScreenCast.indicator
                                            get@resource:///org/gnome/shell/ui/environment.js:249:29
                                            _enable@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:557:9
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            enable@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:917:5
                                            _callExtensionEnable@resource:///org/gnome/shell/ui/extensionSystem.js:131:13
                                            loadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:263:21
                                            _loadExtensions/<@resource:///org/gnome/shell/ui/extensionSystem.js:473:13
                                            collectFromDatadirs@resource:///org/gnome/shell/misc/fileUtils.js:27:17
                                            _loadExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:452:9
                                            _enableAllExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:482:13
                                            _sessionUpdated@resource:///org/gnome/shell/ui/extensionSystem.js:513:13
                                            init@resource:///org/gnome/shell/ui/extensionSystem.js:31:9
                                            _initializeUI@resource:///org/gnome/shell/ui/main.js:242:5
                                            start@resource:///org/gnome/shell/ui/main.js:138:5
                                            @<main>:1:31
Nov 18 14:26:06 m0rph3us gnome-shell[3528]: Usage of object.actor is deprecated for Slider
                                            get@resource:///org/gnome/shell/ui/environment.js:249:29
                                            _createMIInfoDelayRec@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:540:9
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            _add_recording_delay_sub_menu@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:326:21
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            _init_main_menu@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:134:9
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            _init@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:114:9
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            enable@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:913:21
                                            _callExtensionEnable@resource:///org/gnome/shell/ui/extensionSystem.js:131:13
                                            loadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:263:21
                                            _loadExtensions/<@resource:///org/gnome/shell/ui/extensionSystem.js:473:13
                                            collectFromDatadirs@resource:///org/gnome/shell/misc/fileUtils.js:27:17
                                            _loadExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:452:9
                                            _enableAllExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:482:13
                                            _sessionUpdated@resource:///org/gnome/shell/ui/extensionSystem.js:513:13
                                            init@resource:///org/gnome/shell/ui/extensionSystem.js:31:9
                                            _initializeUI@resource:///org/gnome/shell/ui/main.js:242:5
                                            start@resource:///org/gnome/shell/ui/main.js:138:5
                                            @<main>:1:31
Nov 18 14:26:06 m0rph3us gnome-shell[3528]: Usage of object.actor is deprecated for Slider
                                            get@resource:///org/gnome/shell/ui/environment.js:249:29
                                            _createMIInfoDelayRec@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:537:9
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            _add_recording_delay_sub_menu@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:326:21
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            _init_main_menu@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:134:9
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            _init@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:114:9
                                            wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                            enable@/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/extension.js:913:21
                                            _callExtensionEnable@resource:///org/gnome/shell/ui/extensionSystem.js:131:13
                                            loadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:263:21
                                            _loadExtensions/<@resource:///org/gnome/shell/ui/extensionSystem.js:473:13
                                            collectFromDatadirs@resource:///org/gnome/shell/misc/fileUtils.js:27:17
                                            _loadExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:452:9
                                            _enableAllExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:482:13
                                            _sessionUpdated@resource:///org/gnome/shell/ui/extensionSystem.js:513:13
                                            init@resource:///org/gnome/shell/ui/extensionSystem.js:31:9
                                            _initializeUI@resource:///org/gnome/shell/ui/main.js:242:5

kalibug.txt (16,753 bytes)

tsepol

2019-11-18 13:58

reporter   ~0011320

Hopefully that helps.

rhertzog

2019-11-18 14:34

administrator   ~0011321

I don't see any trace of a crash in the logs, only those of a normal session startup sequence. Are you sure you reproduced the crash before sending us the logs? Maybe you did not go enough backwards?

tsepol

2019-11-18 14:49

reporter   ~0011322

will try to "apt-get update && apt-get dist-upgrade" later and send you more logs, it kills terminal session, but will try.

tsepol

2019-11-19 09:06

reporter   ~0011324

Please find latest logs after upgrading packages.

rhertzog

2019-11-19 10:10

administrator   ~0011325

I believe you forgot to attach the logs.

tsepol

2019-11-19 10:53

reporter   ~0011326

https://pastebin.com/ZRnWcqNw

sorry, please logs in pastebin

rhertzog

2019-11-20 18:53

administrator   ~0011331

Should be fixed with gnome-shell-extensions 3.34.1-2kali2 that will soon be available.

Issue History

Date Modified Username Field Change
2019-11-18 11:01 tsepol New Issue
2019-11-18 13:19 rhertzog Assigned To => rhertzog
2019-11-18 13:19 rhertzog Status new => assigned
2019-11-18 13:21 rhertzog Note Added: 0011319
2019-11-18 13:57 tsepol File Added: kalibug.txt
2019-11-18 13:58 tsepol Note Added: 0011320
2019-11-18 14:34 rhertzog Note Added: 0011321
2019-11-18 14:49 tsepol Note Added: 0011322
2019-11-19 09:06 tsepol Note Added: 0011324
2019-11-19 10:10 rhertzog Status assigned => feedback
2019-11-19 10:10 rhertzog Note Added: 0011325
2019-11-19 10:53 tsepol Note Added: 0011326
2019-11-19 10:53 tsepol Status feedback => assigned
2019-11-20 18:53 rhertzog Status assigned => resolved
2019-11-20 18:53 rhertzog Resolution open => fixed
2019-11-20 18:53 rhertzog Fixed in Version => 2019.4
2019-11-20 18:53 rhertzog Note Added: 0011331